Bug 77059 - New port: devel/atlas60.
Summary: New port: devel/atlas60.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-03 12:00 UTC by Jan Rochel
Modified: 2005-05-07 12:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Rochel 2005-02-03 12:00:46 UTC
 --- atlas60.shar begins here ---
 # This is a shell archive.  Save it in a file, remove anything before
 # this line, and then unpack it by entering "sh file".  Note, it may
 # create directories; files and directories will be owned by you and
 # have default permissions.
 #
 # This archive contains:
 #
 #	atlas60
 #	atlas60/Makefile
 #	atlas60/distinfo
 #	atlas60/pkg-descr
 #	atlas60/pkg-plist
 #	atlas60/files
 #	atlas60/files/patch-Makefile.in
 #
 echo c - atlas60
 mkdir -p atlas60 > /dev/null 2>&1
 echo x - atlas60/Makefile
 sed 's/^X//' >atlas60/Makefile << 'END-of-atlas60/Makefile'
 X# New ports collection makefile for:	Atlas
 X# Date created:				3 February 2005
 X# Whom:					Janni <jannisan@t-online.de>
 X#
 X# $FreeBSD$
 X#
 X
 XPORTNAME=	Atlas
 XPORTVERSION=	0.5.91
 XCATEGORIES=	devel
 XMASTER_SITES=	ftp://ftp.worldforge.org/pub/worldforge/libs/Atlas-C++/devel/ \
 X	http://purple.worldforge.org/downloads/libs/Atlas-C++/devel/ \
 X	${MASTER_SITE_SOURCEFORGE}/%SUBDIR%
 XMASTER_SITE_SUBDIR=worldforge
 XDISTNAME=	${PORTNAME}-C++-${PORTVERSION}
 X
 XMAINTAINER=	jannisan@t-online.de
 XCOMMENT=	A C++ reference implementation of the Atlas protocol
 X
 XHAS_CONFIGURE=	yes
 XCONFIGURE_ARGS+=--program-transform-name=
 X
 X.include <bsd.port.mk>
 END-of-atlas60/Makefile
 echo x - atlas60/distinfo
 sed 's/^X//' >atlas60/distinfo << 'END-of-atlas60/distinfo'
 XMD5 (Atlas-C++-0.5.91.tar.gz) = 4b1779a755f4f8d835f980ea546c7095
 XSIZE (Atlas-C++-0.5.91.tar.gz) = 431874
 END-of-atlas60/distinfo
 echo x - atlas60/pkg-descr
 sed 's/^X//' >atlas60/pkg-descr << 'END-of-atlas60/pkg-descr'
 XThis library implements the Atlas protocol, for use in client-server
 Xgame applications.  This library is suitable for linking to either
 Xclients or servers.
 END-of-atlas60/pkg-descr
 echo x - atlas60/pkg-plist
 sed 's/^X//' >atlas60/pkg-plist << 'END-of-atlas60/pkg-plist'
 Xlib/libAtlas-0.6.la
 Xlib/libAtlas-0.6.so
 Xlib/libAtlas-0.6.so.0
 Xinclude/Atlas-C++-0.6/Atlas/Bridge.h
 Xinclude/Atlas-C++-0.6/Atlas/Codec.h
 Xinclude/Atlas-C++-0.6/Atlas/Filter.h
 Xinclude/Atlas-C++-0.6/Atlas/Negotiate.h
 Xinclude/Atlas-C++-0.6/Atlas/EncoderBase.h
 Xinclude/Atlas-C++-0.6/Atlas/Task.h
 Xinclude/Atlas-C++-0.6/Atlas/Codec_impl.h
 Xinclude/Atlas-C++-0.6/Atlas/Exception.h
 Xinclude/Atlas-C++-0.6/Atlas/Debug.h
 Xinclude/Atlas-C++-0.6/Atlas/Version.h
 Xlib/libAtlasMessage-0.6.la
 Xlib/libAtlasMessage-0.6.so
 Xlib/libAtlasMessage-0.6.so.0
 Xinclude/Atlas-C++-0.6/Atlas/Message/Element.h
 Xinclude/Atlas-C++-0.6/Atlas/Message/Layer.h
 Xinclude/Atlas-C++-0.6/Atlas/Message/MEncoder.h
 Xinclude/Atlas-C++-0.6/Atlas/Message/DecoderBase.h
 Xinclude/Atlas-C++-0.6/Atlas/Message/QueuedDecoder.h
 X@dirrm include/Atlas-C++-0.6/Atlas/Message
 Xlib/libAtlasCodecs-0.6.la
 Xlib/libAtlasCodecs-0.6.so
 Xlib/libAtlasCodecs-0.6.so.0
 Xinclude/Atlas-C++-0.6/Atlas/Codecs/XML.h
 Xinclude/Atlas-C++-0.6/Atlas/Codecs/Packed.h
 Xinclude/Atlas-C++-0.6/Atlas/Codecs/Utility.h
 Xinclude/Atlas-C++-0.6/Atlas/Codecs/Bach.h
 X@dirrm include/Atlas-C++-0.6/Atlas/Codecs
 Xlib/libAtlasFilters-0.6.la
 Xlib/libAtlasFilters-0.6.so
 Xlib/libAtlasFilters-0.6.so.0
 Xlib/libAtlasNet-0.6.la
 Xlib/libAtlasNet-0.6.so
 Xlib/libAtlasNet-0.6.so.0
 Xinclude/Atlas-C++-0.6/Atlas/Net/Stream.h
 Xinclude/Atlas-C++-0.6/Atlas/Net/Loopback.h
 X@dirrm include/Atlas-C++-0.6/Atlas/Net
 Xlib/libAtlasObjects-0.6.la
 Xlib/libAtlasObjects-0.6.so
 Xlib/libAtlasObjects-0.6.so.0
 Xinclude/Atlas-C++-0.6/Atlas/Objects/BaseObject.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/SmartPtr.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/Encoder.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/objectFactory.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/loadDefaults.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/Root.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/Decoder.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/Dispatcher.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/ObjectsFwd.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/RootEntity.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/Entity.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/RootOperation.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/Operation.h
 Xinclude/Atlas-C++-0.6/Atlas/Objects/Anonymous.h
 X@dirrm include/Atlas-C++-0.6/Atlas/Objects
 Xlib/libAtlasFunky-0.6.la
 Xlib/libAtlasFunky-0.6.so
 Xlib/libAtlasFunky-0.6.so.0
 Xinclude/Atlas-C++-0.6/Atlas/Funky/FEncoder.h
 X@dirrm include/Atlas-C++-0.6/Atlas/Funky
 X@dirrm include/Atlas-C++-0.6/Atlas
 Xbin/atlas_convert
 Xlibdata/pkgconfig/atlascpp-0.6.pc
 END-of-atlas60/pkg-plist
 echo c - atlas60/files
 mkdir -p atlas60/files > /dev/null 2>&1
 echo x - atlas60/files/patch-Makefile.in
 sed 's/^X//' >atlas60/files/patch-Makefile.in << 'END-of-atlas60/files/patch-Makefile.in'
 X*** Makefile.in.orig	Thu Feb  3 11:11:25 2005
 X--- Makefile.in	Thu Feb  3 11:11:39 2005
 X***************
 X*** 184,190 ****
 X  target_os = @target_os@
 X  target_vendor = @target_vendor@
 X  SUBDIRS = Atlas tests tutorial benchmark
 X! pkgconfigdir = $(libdir)/pkgconfig
 X  pkgconfig_DATA = atlascpp-0.6.pc
 X  EXTRA_DIST = ROADMAP Doxyfile footer.html index.dox
 X  all: config.h
 X--- 184,190 ----
 X  target_os = @target_os@
 X  target_vendor = @target_vendor@
 X  SUBDIRS = Atlas tests tutorial benchmark
 X! pkgconfigdir = $(prefix)/libdata/pkgconfig
 X  pkgconfig_DATA = atlascpp-0.6.pc
 X  EXTRA_DIST = ROADMAP Doxyfile footer.html index.dox
 X  all: config.h
 END-of-atlas60/files/patch-Makefile.in
 exit
 --- atlas60.shar ends here ---
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-02-03 21:34:03 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Rescue this PR from the 'pending' category.
Comment 2 Thierry Thomas freebsd_committer 2005-05-05 16:57:38 UTC
State Changed
From-To: open->feedback


I suggest some modifications, could you please review them? 

- change PORTNAME to atlas60, in order to avoid uppercase and 
confusion with math/atlas; 

- define USE_LIBTOOL_VER and INSTALLS_SHLIB; 

- mark BROKEN on FreeBSD-4.x; 

- add WWW site; 

- sort and fix plist. 

--- atlas60.diff begins here --- 
diff -urN devel/atlas60.orig/Makefile devel/atlas60/Makefile 
--- devel/atlas60.orig/Makefile	Thu May  5 12:15:13 2005 
+++ devel/atlas60/Makefile	Thu May  5 14:32:12 2005 
@@ -1,23 +1,32 @@ 
-# New ports collection makefile for:	Atlas 
+# New ports collection makefile for:	atlas60 
# Date created:				3 February 2005 
# Whom:					Janni <jannisan@t-online.de> 
# 
# $FreeBSD$ 
# 

-PORTNAME=	Atlas 
+PORTNAME=	atlas60 
PORTVERSION=	0.5.91 
CATEGORIES=	devel 
MASTER_SITES=	ftp://ftp.worldforge.org/pub/worldforge/libs/Atlas-C++/devel/  
http://purple.worldforge.org/downloads/libs/Atlas-C++/devel/  
${MASTER_SITE_SOURCEFORGE}/%SUBDIR% 
MASTER_SITE_SUBDIR=worldforge 
-DISTNAME=	${PORTNAME}-C++-${PORTVERSION} 
+DISTNAME=	Atlas-C++-${PORTVERSION} 

MAINTAINER=	jannisan@t-online.de 
COMMENT=	A C++ reference implementation of the Atlas protocol 

-HAS_CONFIGURE=	yes 
+USE_LIBTOOL_VER=	15 
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL} 
CONFIGURE_ARGS+=--program-transform-name= 

-.include <bsd.port.mk> 
+INSTALLS_SHLIB=	yes 
+ 
+.include <bsd.port.pre.mk> 
+ 
+.if ${OSVERSION} < 500000 
+BROKEN=	"Does not compile with gcc-2.95" 
+.endif 
+ 
+.include <bsd.port.post.mk> 
diff -urN devel/atlas60.orig/pkg-descr devel/atlas60/pkg-descr 
--- devel/atlas60.orig/pkg-descr	Thu May  5 12:15:13 2005 
+++ devel/atlas60/pkg-descr	Thu May  5 12:16:51 2005 
@@ -1,3 +1,5 @@ 
This library implements the Atlas protocol, for use in client-server 
game applications.  This library is suitable for linking to either 
clients or servers. 
+ 
+WWW:	http://www.worldforge.org/dev/eng/libraries/atlas_cpp 
diff -urN devel/atlas60.orig/pkg-plist devel/atlas60/pkg-plist 
--- devel/atlas60.orig/pkg-plist	Thu May  5 12:15:13 2005 
+++ devel/atlas60/pkg-plist	Thu May  5 14:16:21 2005 
@@ -1,65 +1,66 @@ 
-lib/libAtlas-0.6.la 
-lib/libAtlas-0.6.so 
-lib/libAtlas-0.6.so.0 
+bin/atlas_convert 
include/Atlas-C++-0.6/Atlas/Bridge.h 
include/Atlas-C++-0.6/Atlas/Codec.h 
-include/Atlas-C++-0.6/Atlas/Filter.h 
-include/Atlas-C++-0.6/Atlas/Negotiate.h 
-include/Atlas-C++-0.6/Atlas/EncoderBase.h 
-include/Atlas-C++-0.6/Atlas/Task.h 
include/Atlas-C++-0.6/Atlas/Codec_impl.h 
-include/Atlas-C++-0.6/Atlas/Exception.h 
+include/Atlas-C++-0.6/Atlas/Codecs/Bach.h 
+include/Atlas-C++-0.6/Atlas/Codecs/Packed.h 
+include/Atlas-C++-0.6/Atlas/Codecs/Utility.h 
+include/Atlas-C++-0.6/Atlas/Codecs/XML.h 
include/Atlas-C++-0.6/Atlas/Debug.h 
-include/Atlas-C++-0.6/Atlas/Version.h 
-lib/libAtlasMessage-0.6.la 
-lib/libAtlasMessage-0.6.so 
-lib/libAtlasMessage-0.6.so.0 
+include/Atlas-C++-0.6/Atlas/EncoderBase.h 
+include/Atlas-C++-0.6/Atlas/Exception.h 
+include/Atlas-C++-0.6/Atlas/Filter.h 
+include/Atlas-C++-0.6/Atlas/Funky/FEncoder.h 
+include/Atlas-C++-0.6/Atlas/Message/DecoderBase.h 
include/Atlas-C++-0.6/Atlas/Message/Element.h 
include/Atlas-C++-0.6/Atlas/Message/Layer.h 
include/Atlas-C++-0.6/Atlas/Message/MEncoder.h 
-include/Atlas-C++-0.6/Atlas/Message/DecoderBase.h 
include/Atlas-C++-0.6/Atlas/Message/QueuedDecoder.h 
-@dirrm include/Atlas-C++-0.6/Atlas/Message 
-lib/libAtlasCodecs-0.6.la 
-lib/libAtlasCodecs-0.6.so 
-lib/libAtlasCodecs-0.6.so.0 
-include/Atlas-C++-0.6/Atlas/Codecs/XML.h 
-include/Atlas-C++-0.6/Atlas/Codecs/Packed.h 
-include/Atlas-C++-0.6/Atlas/Codecs/Utility.h 
-include/Atlas-C++-0.6/Atlas/Codecs/Bach.h 
-@dirrm include/Atlas-C++-0.6/Atlas/Codecs 
-lib/libAtlasFilters-0.6.la 
-lib/libAtlasFilters-0.6.so 
-lib/libAtlasFilters-0.6.so.0 
-lib/libAtlasNet-0.6.la 
-lib/libAtlasNet-0.6.so 
-lib/libAtlasNet-0.6.so.0 
-include/Atlas-C++-0.6/Atlas/Net/Stream.h 
+include/Atlas-C++-0.6/Atlas/Negotiate.h 
include/Atlas-C++-0.6/Atlas/Net/Loopback.h 
-@dirrm include/Atlas-C++-0.6/Atlas/Net 
-lib/libAtlasObjects-0.6.la 
-lib/libAtlasObjects-0.6.so 
-lib/libAtlasObjects-0.6.so.0 
+include/Atlas-C++-0.6/Atlas/Net/Stream.h 
+include/Atlas-C++-0.6/Atlas/Objects/Anonymous.h 
include/Atlas-C++-0.6/Atlas/Objects/BaseObject.h 
-include/Atlas-C++-0.6/Atlas/Objects/SmartPtr.h 
-include/Atlas-C++-0.6/Atlas/Objects/Encoder.h 
-include/Atlas-C++-0.6/Atlas/Objects/objectFactory.h 
-include/Atlas-C++-0.6/Atlas/Objects/loadDefaults.h 
-include/Atlas-C++-0.6/Atlas/Objects/Root.h 
include/Atlas-C++-0.6/Atlas/Objects/Decoder.h 
include/Atlas-C++-0.6/Atlas/Objects/Dispatcher.h 
+include/Atlas-C++-0.6/Atlas/Objects/Encoder.h 
+include/Atlas-C++-0.6/Atlas/Objects/Entity.h 
include/Atlas-C++-0.6/Atlas/Objects/ObjectsFwd.h 
+include/Atlas-C++-0.6/Atlas/Objects/Operation.h 
+include/Atlas-C++-0.6/Atlas/Objects/Root.h 
include/Atlas-C++-0.6/Atlas/Objects/RootEntity.h 
-include/Atlas-C++-0.6/Atlas/Objects/Entity.h 
include/Atlas-C++-0.6/Atlas/Objects/RootOperation.h 
-include/Atlas-C++-0.6/Atlas/Objects/Operation.h 
-include/Atlas-C++-0.6/Atlas/Objects/Anonymous.h 
-@dirrm include/Atlas-C++-0.6/Atlas/Objects 
-lib/libAtlasFunky-0.6.la 
+include/Atlas-C++-0.6/Atlas/Objects/SmartPtr.h 
+include/Atlas-C++-0.6/Atlas/Objects/loadDefaults.h 
+include/Atlas-C++-0.6/Atlas/Objects/objectFactory.h 
+include/Atlas-C++-0.6/Atlas/Task.h 
+include/Atlas-C++-0.6/Atlas/Version.h 
+lib/libAtlas-0.6.a 
+lib/libAtlas-0.6.so 
+lib/libAtlas-0.6.so.0 
+lib/libAtlasCodecs-0.6.a 
+lib/libAtlasCodecs-0.6.so 
+lib/libAtlasCodecs-0.6.so.0 
+lib/libAtlasFilters-0.6.a 
+lib/libAtlasFilters-0.6.so 
+lib/libAtlasFilters-0.6.so.0 
+lib/libAtlasFunky-0.6.a 
lib/libAtlasFunky-0.6.so 
lib/libAtlasFunky-0.6.so.0 
-include/Atlas-C++-0.6/Atlas/Funky/FEncoder.h 
+lib/libAtlasMessage-0.6.a 
+lib/libAtlasMessage-0.6.so 
+lib/libAtlasMessage-0.6.so.0 
+lib/libAtlasNet-0.6.a 
+lib/libAtlasNet-0.6.so 
+lib/libAtlasNet-0.6.so.0 
+lib/libAtlasObjects-0.6.a 
+lib/libAtlasObjects-0.6.so 
+lib/libAtlasObjects-0.6.so.0 
+libdata/pkgconfig/atlascpp-0.6.pc 
+@dirrm include/Atlas-C++-0.6/Atlas/Objects 
+@dirrm include/Atlas-C++-0.6/Atlas/Net 
+@dirrm include/Atlas-C++-0.6/Atlas/Message 
@dirrm include/Atlas-C++-0.6/Atlas/Funky 
+@dirrm include/Atlas-C++-0.6/Atlas/Codecs 
@dirrm include/Atlas-C++-0.6/Atlas 
-bin/atlas_convert 
-libdata/pkgconfig/atlascpp-0.6.pc 
+@dirrm include/Atlas-C++-0.6 
--- atlas60.diff ends here --- 



Comment 3 Thierry Thomas freebsd_committer 2005-05-05 16:57:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 4 Oliver Lehmann freebsd_committer 2005-05-05 20:05:36 UTC
Responsible Changed
From-To: thierry->oliver

I'll handle it
Comment 5 Oliver Lehmann freebsd_committer 2005-05-06 16:10:06 UTC
State Changed
From-To: feedback->repocopy

please repocopy devel/atlas to devel/atlas-devel 


Comment 6 Oliver Lehmann freebsd_committer 2005-05-06 16:10:06 UTC
Responsible Changed
From-To: oliver->portmgr

please repocopy devel/atlas to devel/atlas-devel
Comment 7 Joe Marcus Clarke freebsd_committer 2005-05-07 06:09:04 UTC
State Changed
From-To: repocopy->open

Repo-copy completed. 


Comment 8 Joe Marcus Clarke freebsd_committer 2005-05-07 06:09:04 UTC
Responsible Changed
From-To: portmgr->oliver

Repo-copy completed.
Comment 9 Oliver Lehmann freebsd_committer 2005-05-07 12:26:41 UTC
State Changed
From-To: open->closed

committed a slightly modified version, Thanks